aboutsummaryrefslogtreecommitdiff
path: root/share/keyringer/ssss-split
diff options
context:
space:
mode:
Diffstat (limited to 'share/keyringer/ssss-split')
-rwxr-xr-xshare/keyringer/ssss-split17
1 files changed, 17 insertions, 0 deletions
diff --git a/share/keyringer/ssss-split b/share/keyringer/ssss-split
new file mode 100755
index 0000000..e414f0f
--- /dev/null
+++ b/share/keyringer/ssss-split
@@ -0,0 +1,17 @@
+#!/bin/bash
+#
+# Encrypt files to multiple recipients using SSSS.
+#
+
+# Load functions
+LIB="`dirname $0`/../../lib/keyringer/functions"
+source "$LIB" || exit 1
+
+# Check requirements
+ssss="`which ssss`";
+if [ "$?" != "0" ]; then
+ echo "Please install ssss first."
+ exit 1
+fi
+
+# TODO